function init(hero) {
    hero.setName("The Hulk");
    hero.setTier(5);
    
    hero.setHelmet("Head");
	hero.setChestplate("Torso");
    hero.setLeggings("Pants");
    hero.setBoots("Feet");
    
    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:leaping");
    hero.addAttribute("ATTACK_DAMAGE", 2.0, 1);
    hero.addAttribute("PUNCH_DAMAGE", 14, 0);
    hero.addAttribute("SWORD_DAMAGE", -0.85, 1);
	hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
	hero.addAttribute("SPRINT_SPEED", 0.9, 1);
	hero.addAttribute("STEP_HEIGHT", 1.5, 0);
	
	hero.setDefaultScale(1.8);
	hero.addAttributeProfile("ANGER", angerProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function angerProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 2.0, 1);
    profile.addAttribute("PUNCH_DAMAGE", 18, 0);
    profile.addAttribute("SWORD_DAMAGE", -0.85, 1);
	profile.addAttribute("JUMP_HEIGHT", 6.0, 0);
	profile.addAttribute("SPRINT_SPEED", 1.2, 1);
	profile.addAttribute("STEP_HEIGHT", 3.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getHealth() < 10 ? "ANGER" : null;
}